'use strict';

var _arguments = arguments;
/*
 * This file is part of the Front Foundation package.
 *
 * Copyright (c) 2017-present LIN3S <info@lin3s.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * @author Mikel Tuesta <mikeltuesta@gmail.com>
 */

var nativeToggle = DOMTokenList.prototype.toggle,
    isClassListToggleSupported = function isClassListToggleSupported() {
  if (typeof window.DOMTokenList === 'undefined') {
    return false;
  }

  var element = document.createElement('div');

  var toggleRet = element.classList.toggle('t', true);
  if (toggleRet !== true || !element.classList.contains('t')) {
    return false;
  }

  element.classList.add('o');
  toggleRet = element.classList.toggle('o', false);
  if (toggleRet !== false || element.classList.contains('o')) {
    return false;
  }

  return true;
},
    classListToggle = function classListToggle(className, force) {
  console.log(undefined);

  if (_arguments.length > 0 && undefined.contains(className) === force) {
    // eslint-disable-line no-undef
    return force;
  }

  return nativeToggle.call(undefined, className); // eslint-disable-line prefer-reflect
};

if (!isClassListToggleSupported()) {
  DOMTokenList.prototype.toggle = classListToggle;
}